aboutsummaryrefslogtreecommitdiff
path: root/subprojects/freeamo/src/unmaintained/make-collection-list~
diff options
context:
space:
mode:
authordavid <public@beloved.name>2018-07-17 15:52:52 +0200
committerdavid <public@beloved.name>2018-07-17 15:52:52 +0200
commit1ae516a7bab1d5d9f02ab00c4ac13c219f43c1a1 (patch)
tree1733cb2fb3b2db132b4fc4fc433fc38a68062c12 /subprojects/freeamo/src/unmaintained/make-collection-list~
parent3aa358cf718f8fc15952757cd04489b26770ac74 (diff)
Renamed the AMO/FSD project to FreeAMO, and rewrote its architecture.
Diffstat (limited to 'subprojects/freeamo/src/unmaintained/make-collection-list~')
-rw-r--r--subprojects/freeamo/src/unmaintained/make-collection-list~10
1 files changed, 10 insertions, 0 deletions
diff --git a/subprojects/freeamo/src/unmaintained/make-collection-list~ b/subprojects/freeamo/src/unmaintained/make-collection-list~
new file mode 100644
index 0000000..2e65310
--- /dev/null
+++ b/subprojects/freeamo/src/unmaintained/make-collection-list~
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+cd build/ || exit
+for i in $(cat ../FreeAMO-collections); do
+
+ # https://addons.mozilla.org/en-US/firefox/collections/DavidHedlund/webextensions/format%3Ajson
+ collection_name=$(echo $i | sed "s|https://addons.mozilla.org/en-US/firefox/collections/||; s|/|-|; s|/$||");
+ wget $i"format%3Ajson" -O "collection-$collection_name.json"
+
+done